
Foreman - Feature #14424

Allow plugin widgets to hook into the dashboard search box

03/31/2016 01:06 PM - David Davis

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Dashboard   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Foreman, plugins can add widgets to the dashboard but it doesn't look like there is a way to easily add search fields to the search

box on the dashboard page.

Related issues:

Is duplicate of Foreman - Bug #16702: dashboard widgets ignore filters Closed 09/27/2016

Blocks Katello - Bug #14425: Dashboard search box does not work for katello w... New 03/31/2016

History

#1 - 03/31/2016 01:06 PM - David Davis

- Blocks Bug #14425: Dashboard search box does not work for katello widgets added

#2 - 03/31/2016 01:07 PM - David Davis

An easy test for this would be to install foreman_discovery and then do a search. The search should filter the list of discovered hosts on the

foreman_discovery widget.

#3 - 03/31/2016 01:08 PM - David Davis

- Subject changed from Allow widgets to plug into the search box to Allow plugin widgets to hook into the search box

#4 - 03/31/2016 06:36 PM - David Davis

- Subject changed from Allow plugin widgets to hook into the search box to Allow plugin widgets to hook into the dashboard search box

#5 - 12/13/2016 04:26 AM - Tomer Brisker

- Status changed from New to Duplicate

The search parameters are now passed on to the widgets. They are also available for widgets on the `@data` instance variable as `@data.filter`.

Filtered and authorized hosts are also available as `@data.hosts`.

#6 - 12/13/2016 05:06 AM - Tomer Brisker

- Is duplicate of Bug #16702: dashboard widgets ignore filters added
